// Copyright 2012-2014, Philip Quinn. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
//  TSSEventRecorder.h
//  TouchScrollSimulator
//

#import <Foundation/Foundation.h>
#import "PrivateAPI/UIApplication+Extensions.h"

@interface TSEventRecorder : NSObject <UIApplicationEventRecorder> {
    NSMutableArray *_events;
}
@property (readonly,strong) NSArray *events;

/**
 * Returns an array of NSURLs to all identified script files.
 */
+(NSArray*)findRecordedScripts;

-(id)init;
-(id)initWithContentsOfURL:(NSURL*)url;

/**
 * Writes all events to a file with the given `label` in a location that
 * will be found by `+findRecordedScripts`. The `label` may have a number
 * appended to it to prevent overwriting existing files.
 */
-(void)writeWithLabel:(NSString*)label;
-(void)writeToURL:(NSURL*)url;

-(void)removeLastEvent;
@end
