// Copyright 2012-2014, Philip Quinn and Sylvain Malacria. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
//  TSLogger.h
//  Touch Scroll Simulator
//

#import <UIKit/UIKit.h>

extern NSString *TSLoggerTestSession;

@interface TSLogger : NSObject
+(id)sharedLogger;
-(void)startSession:(NSString*)name;
-(void)endSession;
-(void)writeLine:(NSString*)line;
-(void)writeLineFormat:(NSString*)format, ...;
@end

NSString *TSLogStringFromTouches(NSSet *touches);
NSString *TSLogStringFromCGPoint(CGPoint pt);
NSString *TSLogStringFromIVars(NSDictionary *iVars,CGFloat yOffset);
